<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="updateInputPanel"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.UpdateAGazelleCrossValidatorInput']}
        </ui:define>
        <s:div id="updateInputPanelContent">
            <s:div rendered="#{validatorInputUpdateManager.input == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.NoInputSelected']}" styleClass="gzl-text-orange"/>
            </s:div>

            <s:div id="validatorInputDetails" rendered="#{validatorInputUpdateManager.input != null}">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.ThisInputIsOwnedByTheFollowingValidator']}"/>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                        <h:outputText value="#{validatorInputUpdateManager.validator.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}</ui:define>
                        <h:outputText value="#{validatorInputUpdateManager.validator.affinityDomain}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                        <h:outputText value="#{validatorInputUpdateManager.validator.version}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Status']}</ui:define>
                        <h:outputText value="#{validatorInputUpdateManager.validator.status.value}"/>
                    </s:decorate>
                </dl>
            </s:div>
            <s:span styleClass="gzl-icon-exclamation-triangle "
                    rendered="#{validatorInputUpdateManager.putValidatorInMaintenance}">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xval.ThisValidatorWillBeTurnedIntoMaintenanceModeToAl']}"/>
            </s:span>
            <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouWantToEditInputWithKeyword']}"/>
            <h:outputText value="#{validatorInputUpdateManager.input.keyword} ?" style="font-weight:bold;"/>
        </s:div>
        <ui:define name="popup_footer">
            <h:form id="updateInputForm">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Yes']}" oncomplete="jq162('#updateInputPanel').modal('hide');"
                                   action="#{validatorInputUpdateManager.updateInput()}"
                                   rendered="#{validatorInputUpdateManager.input != null}"
                                   styleClass="gzl-btn-green"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                   oncomplete="jq162('#updateInputPanel').modal('hide');"
                                   actionListener="#{validatorInputUpdateManager.cancelUpdate(null)}"
                                   styleClass="gzl-btn-orange"/>
            </h:form>
        </ui:define>
    </ui:decorate>
</ui:composition>